# Docker für Datenbankenprogrammierung

## Der erste Start

1. Docker und Docker-Compose für das System installieren
1. Die Datei `.env.example` nach `.env` kopieren und Passwort für Admin-Nutzer ändern
1. Die Datei `init/users.example` nach `init/users` kopieren und die Nutzer eintragen (eine Zeile pro Nutzer, keine Leerzeilen/Kommentare/etc.)
1. `docker-compose build`
1. `docker-compose up`

## Userpasswort

Das Passwort eines Nutzers sind die ersten 5 Zeichen der md5-Prüfsumme des Nutzernamens.
Für den Nutzer `aaaaa` ist das Passwort also `echo -n aaaaa | md5sum | cut -c -5`, damit `594f8`.

## System zurücksetzen

1. `docker-compose down`
1. `data` ordner löschen (möglicherweise mit `sudo`)
1. `docker-compose build`
1. `docker-compose up`

## Ports

* Postgre: 5435
* Adminer: 8085
